var win = Titanium.UI.createWindow({
  title : 'Credentials Demo',
  backgroundColor : '#fff',
  orientationModes: [
    Ti.UI.PORTRAIT
  ]
});

var view = Ti.UI.createView({
  backgroundColor : '#eee',
  layout: 'vertical',
  width: 100,
  height: Ti.UI.SIZE,
  center: {
    x: '50%',
    y: '50%'
  }
});

var login = Ti.UI.createTextField({
  top: 20,
  backgroundColor : '#444',
  color: '#eee',
  width: Ti.UI.FILL,
  height: Ti.UI.SIZE,
  hintText: 'Login',
  keyboardType: Titanium.UI.KEYBOARD_TYPE_EMAIL,
  path: "layout.edittext_username"
});

var password = Ti.UI.createTextField({
  backgroundColor : '#444',
  color: '#eee',
  width: Ti.UI.FILL,
  height: Ti.UI.SIZE,
  hintText: 'Password',
  passwordMask: true,
  path: "layout.edittext_password"
});

var login_old = Ti.UI.createTextField({
  backgroundColor : '#444',
  color: '#eee',
  width: Ti.UI.FILL,
  height: Ti.UI.SIZE,
  hintText: 'Login OLD',
  keyboardType: Titanium.UI.KEYBOARD_TYPE_EMAIL
});

var password_old = Ti.UI.createTextField({
  backgroundColor : '#444',
  color: '#eee',
  width: Ti.UI.FILL,
  height: Ti.UI.SIZE,
  hintText: 'Password OLD',
  passwordMask: true
});

var button = Ti.UI.createButton({
  top: 20,
  color: '#eee',
  backgroundColor : '#22a',
  title: 'Sign In',
  width: Ti.UI.FILL,
  height: 20,
});

button.addEventListener('click', function onClick() {
  console.log('Click', login.text, password.text);
});

view.add(login_old);
view.add(password_old);
view.add(login);
view.add(password);

view.add(button);

win.add(view);
win.open();
